IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network240.217.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
- Network address
240.217.0.0- Broadcast address
240.217.255.255- First usable
240.217.0.1- Last usable
240.217.255.254- Usable hosts
- 65,534 (65,536 less the network and broadcast addresses)
- Subnet mask
255.255.0.0- Wildcard mask
0.0.255.255(Cisco ACLs, OSPF)- Prefix length
- /16
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F0D90000· Integer4040753152to4040818687 - Reverse DNS zone
217.240.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110000.11011001..00000000.00000000 | 240.217.0.0 |
| Subnet mask | 11111111.11111111..00000000.00000000 | 255.255.0.0 |
| Network | 11110000.11011001..00000000.00000000 | 240.217.0.0 |
| Broadcast | 11110000.11011001..11111111.11111111 | 240.217.255.255 |
Split into smaller subnets
/17 (2)/18 (4)/19 (8)/20 (16)/21 (32)/22 (64)/23 (128)/24 (256)/25 (512)/26 (1,024)/27 (2,048)/28 (4,096)
240.217.0.0/16 makes 256 subnets of /24.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 240.217.0.0/24 | 240.217.0.1 to 240.217.0.254 | 240.217.0.255 | 254 |
| 2 | 240.217.1.0/24 | 240.217.1.1 to 240.217.1.254 | 240.217.1.255 | 254 |
| 3 | 240.217.2.0/24 | 240.217.2.1 to 240.217.2.254 | 240.217.2.255 | 254 |
| 4 | 240.217.3.0/24 | 240.217.3.1 to 240.217.3.254 | 240.217.3.255 | 254 |
| 5 | 240.217.4.0/24 | 240.217.4.1 to 240.217.4.254 | 240.217.4.255 | 254 |
| 6 | 240.217.5.0/24 | 240.217.5.1 to 240.217.5.254 | 240.217.5.255 | 254 |
| 7 | 240.217.6.0/24 | 240.217.6.1 to 240.217.6.254 | 240.217.6.255 | 254 |
| 8 | 240.217.7.0/24 | 240.217.7.1 to 240.217.7.254 | 240.217.7.255 | 254 |
| 9 | 240.217.8.0/24 | 240.217.8.1 to 240.217.8.254 | 240.217.8.255 | 254 |
| 10 | 240.217.9.0/24 | 240.217.9.1 to 240.217.9.254 | 240.217.9.255 | 254 |
| 11 | 240.217.10.0/24 | 240.217.10.1 to 240.217.10.254 | 240.217.10.255 | 254 |
| 12 | 240.217.11.0/24 | 240.217.11.1 to 240.217.11.254 | 240.217.11.255 | 254 |
| 13 | 240.217.12.0/24 | 240.217.12.1 to 240.217.12.254 | 240.217.12.255 | 254 |
| 14 | 240.217.13.0/24 | 240.217.13.1 to 240.217.13.254 | 240.217.13.255 | 254 |
| 15 | 240.217.14.0/24 | 240.217.14.1 to 240.217.14.254 | 240.217.14.255 | 254 |
| 16 | 240.217.15.0/24 | 240.217.15.1 to 240.217.15.254 | 240.217.15.255 | 254 |
| 17 | 240.217.16.0/24 | 240.217.16.1 to 240.217.16.254 | 240.217.16.255 | 254 |
| 18 | 240.217.17.0/24 | 240.217.17.1 to 240.217.17.254 | 240.217.17.255 | 254 |
| 19 | 240.217.18.0/24 | 240.217.18.1 to 240.217.18.254 | 240.217.18.255 | 254 |
| 20 | 240.217.19.0/24 | 240.217.19.1 to 240.217.19.254 | 240.217.19.255 | 254 |
| 21 | 240.217.20.0/24 | 240.217.20.1 to 240.217.20.254 | 240.217.20.255 | 254 |
| 22 | 240.217.21.0/24 | 240.217.21.1 to 240.217.21.254 | 240.217.21.255 | 254 |
| 23 | 240.217.22.0/24 | 240.217.22.1 to 240.217.22.254 | 240.217.22.255 | 254 |
| 24 | 240.217.23.0/24 | 240.217.23.1 to 240.217.23.254 | 240.217.23.255 | 254 |
| 25 | 240.217.24.0/24 | 240.217.24.1 to 240.217.24.254 | 240.217.24.255 | 254 |
| 26 | 240.217.25.0/24 | 240.217.25.1 to 240.217.25.254 | 240.217.25.255 | 254 |
| 27 | 240.217.26.0/24 | 240.217.26.1 to 240.217.26.254 | 240.217.26.255 | 254 |
| 28 | 240.217.27.0/24 | 240.217.27.1 to 240.217.27.254 | 240.217.27.255 | 254 |
| 29 | 240.217.28.0/24 | 240.217.28.1 to 240.217.28.254 | 240.217.28.255 | 254 |
| 30 | 240.217.29.0/24 | 240.217.29.1 to 240.217.29.254 | 240.217.29.255 | 254 |
| 31 | 240.217.30.0/24 | 240.217.30.1 to 240.217.30.254 | 240.217.30.255 | 254 |
| 32 | 240.217.31.0/24 | 240.217.31.1 to 240.217.31.254 | 240.217.31.255 | 254 |
| 33 | 240.217.32.0/24 | 240.217.32.1 to 240.217.32.254 | 240.217.32.255 | 254 |
| 34 | 240.217.33.0/24 | 240.217.33.1 to 240.217.33.254 | 240.217.33.255 | 254 |
| 35 | 240.217.34.0/24 | 240.217.34.1 to 240.217.34.254 | 240.217.34.255 | 254 |
| 36 | 240.217.35.0/24 | 240.217.35.1 to 240.217.35.254 | 240.217.35.255 | 254 |
| 37 | 240.217.36.0/24 | 240.217.36.1 to 240.217.36.254 | 240.217.36.255 | 254 |
| 38 | 240.217.37.0/24 | 240.217.37.1 to 240.217.37.254 | 240.217.37.255 | 254 |
| 39 | 240.217.38.0/24 | 240.217.38.1 to 240.217.38.254 | 240.217.38.255 | 254 |
| 40 | 240.217.39.0/24 | 240.217.39.1 to 240.217.39.254 | 240.217.39.255 | 254 |
| 41 | 240.217.40.0/24 | 240.217.40.1 to 240.217.40.254 | 240.217.40.255 | 254 |
| 42 | 240.217.41.0/24 | 240.217.41.1 to 240.217.41.254 | 240.217.41.255 | 254 |
| 43 | 240.217.42.0/24 | 240.217.42.1 to 240.217.42.254 | 240.217.42.255 | 254 |
| 44 | 240.217.43.0/24 | 240.217.43.1 to 240.217.43.254 | 240.217.43.255 | 254 |
| 45 | 240.217.44.0/24 | 240.217.44.1 to 240.217.44.254 | 240.217.44.255 | 254 |
| 46 | 240.217.45.0/24 | 240.217.45.1 to 240.217.45.254 | 240.217.45.255 | 254 |
| 47 | 240.217.46.0/24 | 240.217.46.1 to 240.217.46.254 | 240.217.46.255 | 254 |
| 48 | 240.217.47.0/24 | 240.217.47.1 to 240.217.47.254 | 240.217.47.255 | 254 |
| 49 | 240.217.48.0/24 | 240.217.48.1 to 240.217.48.254 | 240.217.48.255 | 254 |
| 50 | 240.217.49.0/24 | 240.217.49.1 to 240.217.49.254 | 240.217.49.255 | 254 |
| 51 | 240.217.50.0/24 | 240.217.50.1 to 240.217.50.254 | 240.217.50.255 | 254 |
| 52 | 240.217.51.0/24 | 240.217.51.1 to 240.217.51.254 | 240.217.51.255 | 254 |
| 53 | 240.217.52.0/24 | 240.217.52.1 to 240.217.52.254 | 240.217.52.255 | 254 |
| 54 | 240.217.53.0/24 | 240.217.53.1 to 240.217.53.254 | 240.217.53.255 | 254 |
| 55 | 240.217.54.0/24 | 240.217.54.1 to 240.217.54.254 | 240.217.54.255 | 254 |
| 56 | 240.217.55.0/24 | 240.217.55.1 to 240.217.55.254 | 240.217.55.255 | 254 |
| 57 | 240.217.56.0/24 | 240.217.56.1 to 240.217.56.254 | 240.217.56.255 | 254 |
| 58 | 240.217.57.0/24 | 240.217.57.1 to 240.217.57.254 | 240.217.57.255 | 254 |
| 59 | 240.217.58.0/24 | 240.217.58.1 to 240.217.58.254 | 240.217.58.255 | 254 |
| 60 | 240.217.59.0/24 | 240.217.59.1 to 240.217.59.254 | 240.217.59.255 | 254 |
| 61 | 240.217.60.0/24 | 240.217.60.1 to 240.217.60.254 | 240.217.60.255 | 254 |
| 62 | 240.217.61.0/24 | 240.217.61.1 to 240.217.61.254 | 240.217.61.255 | 254 |
| 63 | 240.217.62.0/24 | 240.217.62.1 to 240.217.62.254 | 240.217.62.255 | 254 |
| 64 | 240.217.63.0/24 | 240.217.63.1 to 240.217.63.254 | 240.217.63.255 | 254 |
| 65 | 240.217.64.0/24 | 240.217.64.1 to 240.217.64.254 | 240.217.64.255 | 254 |
| 66 | 240.217.65.0/24 | 240.217.65.1 to 240.217.65.254 | 240.217.65.255 | 254 |
| 67 | 240.217.66.0/24 | 240.217.66.1 to 240.217.66.254 | 240.217.66.255 | 254 |
| 68 | 240.217.67.0/24 | 240.217.67.1 to 240.217.67.254 | 240.217.67.255 | 254 |
| 69 | 240.217.68.0/24 | 240.217.68.1 to 240.217.68.254 | 240.217.68.255 | 254 |
| 70 | 240.217.69.0/24 | 240.217.69.1 to 240.217.69.254 | 240.217.69.255 | 254 |
| 71 | 240.217.70.0/24 | 240.217.70.1 to 240.217.70.254 | 240.217.70.255 | 254 |
| 72 | 240.217.71.0/24 | 240.217.71.1 to 240.217.71.254 | 240.217.71.255 | 254 |
| 73 | 240.217.72.0/24 | 240.217.72.1 to 240.217.72.254 | 240.217.72.255 | 254 |
| 74 | 240.217.73.0/24 | 240.217.73.1 to 240.217.73.254 | 240.217.73.255 | 254 |
| 75 | 240.217.74.0/24 | 240.217.74.1 to 240.217.74.254 | 240.217.74.255 | 254 |
| 76 | 240.217.75.0/24 | 240.217.75.1 to 240.217.75.254 | 240.217.75.255 | 254 |
| 77 | 240.217.76.0/24 | 240.217.76.1 to 240.217.76.254 | 240.217.76.255 | 254 |
| 78 | 240.217.77.0/24 | 240.217.77.1 to 240.217.77.254 | 240.217.77.255 | 254 |
| 79 | 240.217.78.0/24 | 240.217.78.1 to 240.217.78.254 | 240.217.78.255 | 254 |
| 80 | 240.217.79.0/24 | 240.217.79.1 to 240.217.79.254 | 240.217.79.255 | 254 |
| 81 | 240.217.80.0/24 | 240.217.80.1 to 240.217.80.254 | 240.217.80.255 | 254 |
| 82 | 240.217.81.0/24 | 240.217.81.1 to 240.217.81.254 | 240.217.81.255 | 254 |
| 83 | 240.217.82.0/24 | 240.217.82.1 to 240.217.82.254 | 240.217.82.255 | 254 |
| 84 | 240.217.83.0/24 | 240.217.83.1 to 240.217.83.254 | 240.217.83.255 | 254 |
| 85 | 240.217.84.0/24 | 240.217.84.1 to 240.217.84.254 | 240.217.84.255 | 254 |
| 86 | 240.217.85.0/24 | 240.217.85.1 to 240.217.85.254 | 240.217.85.255 | 254 |
| 87 | 240.217.86.0/24 | 240.217.86.1 to 240.217.86.254 | 240.217.86.255 | 254 |
| 88 | 240.217.87.0/24 | 240.217.87.1 to 240.217.87.254 | 240.217.87.255 | 254 |
| 89 | 240.217.88.0/24 | 240.217.88.1 to 240.217.88.254 | 240.217.88.255 | 254 |
| 90 | 240.217.89.0/24 | 240.217.89.1 to 240.217.89.254 | 240.217.89.255 | 254 |
| 91 | 240.217.90.0/24 | 240.217.90.1 to 240.217.90.254 | 240.217.90.255 | 254 |
| 92 | 240.217.91.0/24 | 240.217.91.1 to 240.217.91.254 | 240.217.91.255 | 254 |
| 93 | 240.217.92.0/24 | 240.217.92.1 to 240.217.92.254 | 240.217.92.255 | 254 |
| 94 | 240.217.93.0/24 | 240.217.93.1 to 240.217.93.254 | 240.217.93.255 | 254 |
| 95 | 240.217.94.0/24 | 240.217.94.1 to 240.217.94.254 | 240.217.94.255 | 254 |
| 96 | 240.217.95.0/24 | 240.217.95.1 to 240.217.95.254 | 240.217.95.255 | 254 |
| 97 | 240.217.96.0/24 | 240.217.96.1 to 240.217.96.254 | 240.217.96.255 | 254 |
| 98 | 240.217.97.0/24 | 240.217.97.1 to 240.217.97.254 | 240.217.97.255 | 254 |
| 99 | 240.217.98.0/24 | 240.217.98.1 to 240.217.98.254 | 240.217.98.255 | 254 |
| 100 | 240.217.99.0/24 | 240.217.99.1 to 240.217.99.254 | 240.217.99.255 | 254 |
| 101 | 240.217.100.0/24 | 240.217.100.1 to 240.217.100.254 | 240.217.100.255 | 254 |
| 102 | 240.217.101.0/24 | 240.217.101.1 to 240.217.101.254 | 240.217.101.255 | 254 |
| 103 | 240.217.102.0/24 | 240.217.102.1 to 240.217.102.254 | 240.217.102.255 | 254 |
| 104 | 240.217.103.0/24 | 240.217.103.1 to 240.217.103.254 | 240.217.103.255 | 254 |
| 105 | 240.217.104.0/24 | 240.217.104.1 to 240.217.104.254 | 240.217.104.255 | 254 |
| 106 | 240.217.105.0/24 | 240.217.105.1 to 240.217.105.254 | 240.217.105.255 | 254 |
| 107 | 240.217.106.0/24 | 240.217.106.1 to 240.217.106.254 | 240.217.106.255 | 254 |
| 108 | 240.217.107.0/24 | 240.217.107.1 to 240.217.107.254 | 240.217.107.255 | 254 |
| 109 | 240.217.108.0/24 | 240.217.108.1 to 240.217.108.254 | 240.217.108.255 | 254 |
| 110 | 240.217.109.0/24 | 240.217.109.1 to 240.217.109.254 | 240.217.109.255 | 254 |
| 111 | 240.217.110.0/24 | 240.217.110.1 to 240.217.110.254 | 240.217.110.255 | 254 |
| 112 | 240.217.111.0/24 | 240.217.111.1 to 240.217.111.254 | 240.217.111.255 | 254 |
| 113 | 240.217.112.0/24 | 240.217.112.1 to 240.217.112.254 | 240.217.112.255 | 254 |
| 114 | 240.217.113.0/24 | 240.217.113.1 to 240.217.113.254 | 240.217.113.255 | 254 |
| 115 | 240.217.114.0/24 | 240.217.114.1 to 240.217.114.254 | 240.217.114.255 | 254 |
| 116 | 240.217.115.0/24 | 240.217.115.1 to 240.217.115.254 | 240.217.115.255 | 254 |
| 117 | 240.217.116.0/24 | 240.217.116.1 to 240.217.116.254 | 240.217.116.255 | 254 |
| 118 | 240.217.117.0/24 | 240.217.117.1 to 240.217.117.254 | 240.217.117.255 | 254 |
| 119 | 240.217.118.0/24 | 240.217.118.1 to 240.217.118.254 | 240.217.118.255 | 254 |
| 120 | 240.217.119.0/24 | 240.217.119.1 to 240.217.119.254 | 240.217.119.255 | 254 |
| 121 | 240.217.120.0/24 | 240.217.120.1 to 240.217.120.254 | 240.217.120.255 | 254 |
| 122 | 240.217.121.0/24 | 240.217.121.1 to 240.217.121.254 | 240.217.121.255 | 254 |
| 123 | 240.217.122.0/24 | 240.217.122.1 to 240.217.122.254 | 240.217.122.255 | 254 |
| 124 | 240.217.123.0/24 | 240.217.123.1 to 240.217.123.254 | 240.217.123.255 | 254 |
| 125 | 240.217.124.0/24 | 240.217.124.1 to 240.217.124.254 | 240.217.124.255 | 254 |
| 126 | 240.217.125.0/24 | 240.217.125.1 to 240.217.125.254 | 240.217.125.255 | 254 |
| 127 | 240.217.126.0/24 | 240.217.126.1 to 240.217.126.254 | 240.217.126.255 | 254 |
| 128 | 240.217.127.0/24 | 240.217.127.1 to 240.217.127.254 | 240.217.127.255 | 254 |
| 129 | 240.217.128.0/24 | 240.217.128.1 to 240.217.128.254 | 240.217.128.255 | 254 |
| 130 | 240.217.129.0/24 | 240.217.129.1 to 240.217.129.254 | 240.217.129.255 | 254 |
| 131 | 240.217.130.0/24 | 240.217.130.1 to 240.217.130.254 | 240.217.130.255 | 254 |
| 132 | 240.217.131.0/24 | 240.217.131.1 to 240.217.131.254 | 240.217.131.255 | 254 |
| 133 | 240.217.132.0/24 | 240.217.132.1 to 240.217.132.254 | 240.217.132.255 | 254 |
| 134 | 240.217.133.0/24 | 240.217.133.1 to 240.217.133.254 | 240.217.133.255 | 254 |
| 135 | 240.217.134.0/24 | 240.217.134.1 to 240.217.134.254 | 240.217.134.255 | 254 |
| 136 | 240.217.135.0/24 | 240.217.135.1 to 240.217.135.254 | 240.217.135.255 | 254 |
| 137 | 240.217.136.0/24 | 240.217.136.1 to 240.217.136.254 | 240.217.136.255 | 254 |
| 138 | 240.217.137.0/24 | 240.217.137.1 to 240.217.137.254 | 240.217.137.255 | 254 |
| 139 | 240.217.138.0/24 | 240.217.138.1 to 240.217.138.254 | 240.217.138.255 | 254 |
| 140 | 240.217.139.0/24 | 240.217.139.1 to 240.217.139.254 | 240.217.139.255 | 254 |
| 141 | 240.217.140.0/24 | 240.217.140.1 to 240.217.140.254 | 240.217.140.255 | 254 |
| 142 | 240.217.141.0/24 | 240.217.141.1 to 240.217.141.254 | 240.217.141.255 | 254 |
| 143 | 240.217.142.0/24 | 240.217.142.1 to 240.217.142.254 | 240.217.142.255 | 254 |
| 144 | 240.217.143.0/24 | 240.217.143.1 to 240.217.143.254 | 240.217.143.255 | 254 |
| 145 | 240.217.144.0/24 | 240.217.144.1 to 240.217.144.254 | 240.217.144.255 | 254 |
| 146 | 240.217.145.0/24 | 240.217.145.1 to 240.217.145.254 | 240.217.145.255 | 254 |
| 147 | 240.217.146.0/24 | 240.217.146.1 to 240.217.146.254 | 240.217.146.255 | 254 |
| 148 | 240.217.147.0/24 | 240.217.147.1 to 240.217.147.254 | 240.217.147.255 | 254 |
| 149 | 240.217.148.0/24 | 240.217.148.1 to 240.217.148.254 | 240.217.148.255 | 254 |
| 150 | 240.217.149.0/24 | 240.217.149.1 to 240.217.149.254 | 240.217.149.255 | 254 |
| 151 | 240.217.150.0/24 | 240.217.150.1 to 240.217.150.254 | 240.217.150.255 | 254 |
| 152 | 240.217.151.0/24 | 240.217.151.1 to 240.217.151.254 | 240.217.151.255 | 254 |
| 153 | 240.217.152.0/24 | 240.217.152.1 to 240.217.152.254 | 240.217.152.255 | 254 |
| 154 | 240.217.153.0/24 | 240.217.153.1 to 240.217.153.254 | 240.217.153.255 | 254 |
| 155 | 240.217.154.0/24 | 240.217.154.1 to 240.217.154.254 | 240.217.154.255 | 254 |
| 156 | 240.217.155.0/24 | 240.217.155.1 to 240.217.155.254 | 240.217.155.255 | 254 |
| 157 | 240.217.156.0/24 | 240.217.156.1 to 240.217.156.254 | 240.217.156.255 | 254 |
| 158 | 240.217.157.0/24 | 240.217.157.1 to 240.217.157.254 | 240.217.157.255 | 254 |
| 159 | 240.217.158.0/24 | 240.217.158.1 to 240.217.158.254 | 240.217.158.255 | 254 |
| 160 | 240.217.159.0/24 | 240.217.159.1 to 240.217.159.254 | 240.217.159.255 | 254 |
| 161 | 240.217.160.0/24 | 240.217.160.1 to 240.217.160.254 | 240.217.160.255 | 254 |
| 162 | 240.217.161.0/24 | 240.217.161.1 to 240.217.161.254 | 240.217.161.255 | 254 |
| 163 | 240.217.162.0/24 | 240.217.162.1 to 240.217.162.254 | 240.217.162.255 | 254 |
| 164 | 240.217.163.0/24 | 240.217.163.1 to 240.217.163.254 | 240.217.163.255 | 254 |
| 165 | 240.217.164.0/24 | 240.217.164.1 to 240.217.164.254 | 240.217.164.255 | 254 |
| 166 | 240.217.165.0/24 | 240.217.165.1 to 240.217.165.254 | 240.217.165.255 | 254 |
| 167 | 240.217.166.0/24 | 240.217.166.1 to 240.217.166.254 | 240.217.166.255 | 254 |
| 168 | 240.217.167.0/24 | 240.217.167.1 to 240.217.167.254 | 240.217.167.255 | 254 |
| 169 | 240.217.168.0/24 | 240.217.168.1 to 240.217.168.254 | 240.217.168.255 | 254 |
| 170 | 240.217.169.0/24 | 240.217.169.1 to 240.217.169.254 | 240.217.169.255 | 254 |
| 171 | 240.217.170.0/24 | 240.217.170.1 to 240.217.170.254 | 240.217.170.255 | 254 |
| 172 | 240.217.171.0/24 | 240.217.171.1 to 240.217.171.254 | 240.217.171.255 | 254 |
| 173 | 240.217.172.0/24 | 240.217.172.1 to 240.217.172.254 | 240.217.172.255 | 254 |
| 174 | 240.217.173.0/24 | 240.217.173.1 to 240.217.173.254 | 240.217.173.255 | 254 |
| 175 | 240.217.174.0/24 | 240.217.174.1 to 240.217.174.254 | 240.217.174.255 | 254 |
| 176 | 240.217.175.0/24 | 240.217.175.1 to 240.217.175.254 | 240.217.175.255 | 254 |
| 177 | 240.217.176.0/24 | 240.217.176.1 to 240.217.176.254 | 240.217.176.255 | 254 |
| 178 | 240.217.177.0/24 | 240.217.177.1 to 240.217.177.254 | 240.217.177.255 | 254 |
| 179 | 240.217.178.0/24 | 240.217.178.1 to 240.217.178.254 | 240.217.178.255 | 254 |
| 180 | 240.217.179.0/24 | 240.217.179.1 to 240.217.179.254 | 240.217.179.255 | 254 |
| 181 | 240.217.180.0/24 | 240.217.180.1 to 240.217.180.254 | 240.217.180.255 | 254 |
| 182 | 240.217.181.0/24 | 240.217.181.1 to 240.217.181.254 | 240.217.181.255 | 254 |
| 183 | 240.217.182.0/24 | 240.217.182.1 to 240.217.182.254 | 240.217.182.255 | 254 |
| 184 | 240.217.183.0/24 | 240.217.183.1 to 240.217.183.254 | 240.217.183.255 | 254 |
| 185 | 240.217.184.0/24 | 240.217.184.1 to 240.217.184.254 | 240.217.184.255 | 254 |
| 186 | 240.217.185.0/24 | 240.217.185.1 to 240.217.185.254 | 240.217.185.255 | 254 |
| 187 | 240.217.186.0/24 | 240.217.186.1 to 240.217.186.254 | 240.217.186.255 | 254 |
| 188 | 240.217.187.0/24 | 240.217.187.1 to 240.217.187.254 | 240.217.187.255 | 254 |
| 189 | 240.217.188.0/24 | 240.217.188.1 to 240.217.188.254 | 240.217.188.255 | 254 |
| 190 | 240.217.189.0/24 | 240.217.189.1 to 240.217.189.254 | 240.217.189.255 | 254 |
| 191 | 240.217.190.0/24 | 240.217.190.1 to 240.217.190.254 | 240.217.190.255 | 254 |
| 192 | 240.217.191.0/24 | 240.217.191.1 to 240.217.191.254 | 240.217.191.255 | 254 |
| 193 | 240.217.192.0/24 | 240.217.192.1 to 240.217.192.254 | 240.217.192.255 | 254 |
| 194 | 240.217.193.0/24 | 240.217.193.1 to 240.217.193.254 | 240.217.193.255 | 254 |
| 195 | 240.217.194.0/24 | 240.217.194.1 to 240.217.194.254 | 240.217.194.255 | 254 |
| 196 | 240.217.195.0/24 | 240.217.195.1 to 240.217.195.254 | 240.217.195.255 | 254 |
| 197 | 240.217.196.0/24 | 240.217.196.1 to 240.217.196.254 | 240.217.196.255 | 254 |
| 198 | 240.217.197.0/24 | 240.217.197.1 to 240.217.197.254 | 240.217.197.255 | 254 |
| 199 | 240.217.198.0/24 | 240.217.198.1 to 240.217.198.254 | 240.217.198.255 | 254 |
| 200 | 240.217.199.0/24 | 240.217.199.1 to 240.217.199.254 | 240.217.199.255 | 254 |
| 201 | 240.217.200.0/24 | 240.217.200.1 to 240.217.200.254 | 240.217.200.255 | 254 |
| 202 | 240.217.201.0/24 | 240.217.201.1 to 240.217.201.254 | 240.217.201.255 | 254 |
| 203 | 240.217.202.0/24 | 240.217.202.1 to 240.217.202.254 | 240.217.202.255 | 254 |
| 204 | 240.217.203.0/24 | 240.217.203.1 to 240.217.203.254 | 240.217.203.255 | 254 |
| 205 | 240.217.204.0/24 | 240.217.204.1 to 240.217.204.254 | 240.217.204.255 | 254 |
| 206 | 240.217.205.0/24 | 240.217.205.1 to 240.217.205.254 | 240.217.205.255 | 254 |
| 207 | 240.217.206.0/24 | 240.217.206.1 to 240.217.206.254 | 240.217.206.255 | 254 |
| 208 | 240.217.207.0/24 | 240.217.207.1 to 240.217.207.254 | 240.217.207.255 | 254 |
| 209 | 240.217.208.0/24 | 240.217.208.1 to 240.217.208.254 | 240.217.208.255 | 254 |
| 210 | 240.217.209.0/24 | 240.217.209.1 to 240.217.209.254 | 240.217.209.255 | 254 |
| 211 | 240.217.210.0/24 | 240.217.210.1 to 240.217.210.254 | 240.217.210.255 | 254 |
| 212 | 240.217.211.0/24 | 240.217.211.1 to 240.217.211.254 | 240.217.211.255 | 254 |
| 213 | 240.217.212.0/24 | 240.217.212.1 to 240.217.212.254 | 240.217.212.255 | 254 |
| 214 | 240.217.213.0/24 | 240.217.213.1 to 240.217.213.254 | 240.217.213.255 | 254 |
| 215 | 240.217.214.0/24 | 240.217.214.1 to 240.217.214.254 | 240.217.214.255 | 254 |
| 216 | 240.217.215.0/24 | 240.217.215.1 to 240.217.215.254 | 240.217.215.255 | 254 |
| 217 | 240.217.216.0/24 | 240.217.216.1 to 240.217.216.254 | 240.217.216.255 | 254 |
| 218 | 240.217.217.0/24 | 240.217.217.1 to 240.217.217.254 | 240.217.217.255 | 254 |
| 219 | 240.217.218.0/24 | 240.217.218.1 to 240.217.218.254 | 240.217.218.255 | 254 |
| 220 | 240.217.219.0/24 | 240.217.219.1 to 240.217.219.254 | 240.217.219.255 | 254 |
| 221 | 240.217.220.0/24 | 240.217.220.1 to 240.217.220.254 | 240.217.220.255 | 254 |
| 222 | 240.217.221.0/24 | 240.217.221.1 to 240.217.221.254 | 240.217.221.255 | 254 |
| 223 | 240.217.222.0/24 | 240.217.222.1 to 240.217.222.254 | 240.217.222.255 | 254 |
| 224 | 240.217.223.0/24 | 240.217.223.1 to 240.217.223.254 | 240.217.223.255 | 254 |
| 225 | 240.217.224.0/24 | 240.217.224.1 to 240.217.224.254 | 240.217.224.255 | 254 |
| 226 | 240.217.225.0/24 | 240.217.225.1 to 240.217.225.254 | 240.217.225.255 | 254 |
| 227 | 240.217.226.0/24 | 240.217.226.1 to 240.217.226.254 | 240.217.226.255 | 254 |
| 228 | 240.217.227.0/24 | 240.217.227.1 to 240.217.227.254 | 240.217.227.255 | 254 |
| 229 | 240.217.228.0/24 | 240.217.228.1 to 240.217.228.254 | 240.217.228.255 | 254 |
| 230 | 240.217.229.0/24 | 240.217.229.1 to 240.217.229.254 | 240.217.229.255 | 254 |
| 231 | 240.217.230.0/24 | 240.217.230.1 to 240.217.230.254 | 240.217.230.255 | 254 |
| 232 | 240.217.231.0/24 | 240.217.231.1 to 240.217.231.254 | 240.217.231.255 | 254 |
| 233 | 240.217.232.0/24 | 240.217.232.1 to 240.217.232.254 | 240.217.232.255 | 254 |
| 234 | 240.217.233.0/24 | 240.217.233.1 to 240.217.233.254 | 240.217.233.255 | 254 |
| 235 | 240.217.234.0/24 | 240.217.234.1 to 240.217.234.254 | 240.217.234.255 | 254 |
| 236 | 240.217.235.0/24 | 240.217.235.1 to 240.217.235.254 | 240.217.235.255 | 254 |
| 237 | 240.217.236.0/24 | 240.217.236.1 to 240.217.236.254 | 240.217.236.255 | 254 |
| 238 | 240.217.237.0/24 | 240.217.237.1 to 240.217.237.254 | 240.217.237.255 | 254 |
| 239 | 240.217.238.0/24 | 240.217.238.1 to 240.217.238.254 | 240.217.238.255 | 254 |
| 240 | 240.217.239.0/24 | 240.217.239.1 to 240.217.239.254 | 240.217.239.255 | 254 |
| 241 | 240.217.240.0/24 | 240.217.240.1 to 240.217.240.254 | 240.217.240.255 | 254 |
| 242 | 240.217.241.0/24 | 240.217.241.1 to 240.217.241.254 | 240.217.241.255 | 254 |
| 243 | 240.217.242.0/24 | 240.217.242.1 to 240.217.242.254 | 240.217.242.255 | 254 |
| 244 | 240.217.243.0/24 | 240.217.243.1 to 240.217.243.254 | 240.217.243.255 | 254 |
| 245 | 240.217.244.0/24 | 240.217.244.1 to 240.217.244.254 | 240.217.244.255 | 254 |
| 246 | 240.217.245.0/24 | 240.217.245.1 to 240.217.245.254 | 240.217.245.255 | 254 |
| 247 | 240.217.246.0/24 | 240.217.246.1 to 240.217.246.254 | 240.217.246.255 | 254 |
| 248 | 240.217.247.0/24 | 240.217.247.1 to 240.217.247.254 | 240.217.247.255 | 254 |
| 249 | 240.217.248.0/24 | 240.217.248.1 to 240.217.248.254 | 240.217.248.255 | 254 |
| 250 | 240.217.249.0/24 | 240.217.249.1 to 240.217.249.254 | 240.217.249.255 | 254 |
| 251 | 240.217.250.0/24 | 240.217.250.1 to 240.217.250.254 | 240.217.250.255 | 254 |
| 252 | 240.217.251.0/24 | 240.217.251.1 to 240.217.251.254 | 240.217.251.255 | 254 |
| 253 | 240.217.252.0/24 | 240.217.252.1 to 240.217.252.254 | 240.217.252.255 | 254 |
| 254 | 240.217.253.0/24 | 240.217.253.1 to 240.217.253.254 | 240.217.253.255 | 254 |
| 255 | 240.217.254.0/24 | 240.217.254.1 to 240.217.254.254 | 240.217.254.255 | 254 |
| 256 | 240.217.255.0/24 | 240.217.255.1 to 240.217.255.254 | 240.217.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |